To: "Frederick V. Heitkamp" <fheitka@ibm.net>
Cc: Andre Heynatz <tron@Informatik.Uni-Bremen.DE>,
        linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: linux-2.0.31-m68k-pre3
References: <Pine.OS2.3.95.971029195221.48A-100000@pc1.fred.org>
From: Jes Sorensen <Jes.Sorensen@cern.ch>
Date: 30 Oct 1997 09:35:00 +0100
In-Reply-To: "Frederick V. Heitkamp"'s message of Wed, 29 Oct 1997 19:59:07 -0500 (est)
Sender: owner-linux-m68k@phil.uni-sb.de

>>>>> "Frederick" == Frederick V Heitkamp <fheitka@ibm.net> writes:

Frederick> On 29 Oct 1997, Andre Heynatz wrote:
>> Jes Sorensen <Jes.Sorensen@cern.ch> writes: > > Before I release an
>> official 2.0.31 I need to know whether the kernel > works on the
>> following hardware: > > A4000T/A4091/WarpEngine SCSI > CyberVision
>> 64 > CyberVision 3D (only Z3 mode is supposed to work).
>> 
Frederick> I have an A4000T with 1.7GB Quantum IDE, 2.1GB Quantum
Frederick> SCSI, CV64-3D, 16mb RAM and stock A3640.  I compiled the
Frederick> pre3 kernel, installed it, and it did not boot.  It said it
Frederick> could not find IRQ 12.  I have been using the NCR SCSI for
Frederick> A4000T with other kernels with relatively few problems.  I
Frederick> used the same boot parameters as the others.  I am going to
Frederick> try to compile a pre3 with out SCSI and see if it boots.

Ok, my mistake (again) - the MACHSPEC bit keeps haunting me. Could you
try this patch please.

Jes

--- /tmp/linux20/drivers/scsi/53c7xx.c	Sun Oct 26 14:40:26 1997
+++ drivers/scsi/53c7xx.c	Thu Oct 30 09:30:18 1997
@@ -1068,7 +1068,7 @@
 
     if (!search) {
 #ifdef CONFIG_AMIGA
-	if (request_irq(host->irq, NCR53c7x0_intr, 0, "53c7xx", NCR53c7x0_intr)) {
+	if (request_irq(host->irq | IRQ_MACHSPEC, NCR53c7x0_intr, 0, "53c7xx", NCR53c7x0_intr)) {
 #else
 	if (request_irq(host->irq, NCR53c7x0_intr, SA_INTERRUPT, "53c7xx", NULL)) {
 #endif
